package com.jeeplus.modules.sg.picking.activiti.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;

public class ExportListing {
    //模块大类
    private String mdBigClass;
    //模块中类
    private String mdTheClass;
    //模块名称
    private String mdName;
    //物料编码
    private String materialCode;
    //物料名称
    private String materialDescription;
    //扩展描述
    private String extensionDescription;
    //单位
    private String mdUnits;
    //总量
    private String mdTotalAmount;
    //单重/kg
    private String mdSingleWeight;
    //总重/吨
    private String mdTotalWeight;
    //甲乙供
    private String mdTheParty;
    //备注
    private String mdText;
    //
    private String mdCount;

    private String blockId;

    @ExcelField(title="模块大类", align=2, sort=1)
    public String getMdBigClass() {
        return mdBigClass;
    }

    public void setMdBigClass(String mdBigClass) {
        this.mdBigClass = mdBigClass;
    }

    @ExcelField(title="模块中类", align=2, sort=2)
    public String getMdTheClass() {
        return mdTheClass;
    }

    public void setMdTheClass(String mdTheClass) {
        this.mdTheClass = mdTheClass;
    }

    @ExcelField(title="模块名称", align=2, sort=3)
    public String getMdName() {
        return mdName;
    }

    public void setMdName(String mdName) {
        this.mdName = mdName;
    }

    @ExcelField(title="物料编码", align=2, sort=4)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title="物料名称", align=2, sort=5)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    @ExcelField(title="扩展描述", align=2, sort=6)
    public String getExtensionDescription() {
        return extensionDescription;
    }

    public void setExtensionDescription(String extensionDescription) {
        this.extensionDescription = extensionDescription;
    }

    @ExcelField(title="单位", align=2, sort=7)
    public String getMdUnits() {
        return mdUnits;
    }

    public void setMdUnits(String mdUnits) {
        this.mdUnits = mdUnits;
    }

    @ExcelField(title="总量", align=2, sort=8)
    public String getMdTotalAmount() {
        return mdTotalAmount;
    }

    public void setMdTotalAmount(String mdTotalAmount) {
        this.mdTotalAmount = mdTotalAmount;
    }

    @ExcelField(title="单重/kg", align=2, sort=9)
    public String getMdSingleWeight() {
        return mdSingleWeight;
    }

    public void setMdSingleWeight(String mdSingleWeight) {
        this.mdSingleWeight = mdSingleWeight;
    }

    @ExcelField(title="总重/吨", align=2, sort=10)
    public String getMdTotalWeight() {
        return mdTotalWeight;
    }

    public void setMdTotalWeight(String mdTotalWeight) {
        this.mdTotalWeight = mdTotalWeight;
    }

    @ExcelField(title="甲乙供", align=2, sort=11)
    public String getMdTheParty() {
        return mdTheParty;
    }

    public void setMdTheParty(String mdTheParty) {
        this.mdTheParty = mdTheParty;
    }

    @ExcelField(title="备注", align=2, sort=12)
    public String getMdText() {
        return mdText;
    }

    public void setMdText(String mdText) {
        this.mdText = mdText;
    }

    public String getMdCount() {
        return mdCount;
    }

    public void setMdCount(String mdCount) {
        this.mdCount = mdCount;
    }

    public String getBlockId() {
        return blockId;
    }

    public void setBlockId(String blockId) {
        this.blockId = blockId;
    }
}
